Bug 1017177 - [engine] Master domain is not reconstructed when losing connectivitiy to master domain from all hosts in DC
[engine] Master domain is not reconstructed when losing connectivitiy to mast...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Liron Aravot
Leonid Natapov
storage
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-09 07:35 EDT by Raz Tamir
Modified: 2016-02-10 13:14 EST (History)
9 users (show)

See Also:
Fixed In Version: is21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)
engine log (7.90 MB, text/plain)
2013-10-09 07:35 EDT, Raz Tamir
no flags Details
vdsm log (14.27 MB, text/plain)
2013-10-09 08:24 EDT, Raz Tamir
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20564 None None None Never
oVirt gerrit 20584 None None None Never

  None (edit)
Description Raz Tamir 2013-10-09 07:35:30 EDT
Created attachment 809859 [details]
engine log

Description of problem:
When trying to execute some actions (e.g. create snapshot, make template etc.) and blocking connectivity to Master storage domain from all hosts using iptables immediately after the action was executed, the master domain should become inactive and ReconstructMasterDomainCommand should be called.
The master's domain status changes to inactive as expected, but ReconstructMasterDomainCommand does not succeed.


Version-Release number of selected component (if applicable):
rhevm-3.3.0-0.24.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:

setup with 1 iSCSI DC, 2 host, 2 storage domain which each on different servers and 1 vm.

1. Perform any action that involves the VM's storage (e.g. remove template, create snapshot, remove vm or disks)

2. Immediately after you run the action , block connectivity to Master storage domain from all hosts using iptables

Actual results:
We should fail the action performed in step 1 gracefully

Expected results:
Stuck in process with no actual result.
from the engine log it is obvious that the engine is in continuous loop, without reconstructing the master domain

Additional info:
Comment 1 Raz Tamir 2013-10-09 08:24:38 EDT
Created attachment 809881 [details]
vdsm log
Comment 3 Leonid Natapov 2013-11-19 04:30:49 EST
is23. Tested according steps to reprduce.
Comment 4 Itamar Heim 2014-01-21 17:27:55 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:27:56 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:30:52 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.